
-- 
-- CRAFTING MATERIALS (ORE)
--

defineObject{
	name = "or3_ore_gold",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "assets/models/items/rock.fbx",
			material = "or3_gold_ore",
		},
		{
			class = "Item",
			uiName = "Gold Ore",
			description = "A precious metal used for creating necklaces and jewelry.",
			gfxIndex = 45,
			impactSound = "impact_blunt",
			stackable = true,
			projectileRotationSpeed = 10,
			projectileRotationZ = -30,
			weight = 0.9,
		},
	},
	tags = { "orrr3", "crafting" },
}

defineObject{
	name = "or3_ore_iron",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "assets/models/items/rock.fbx",
			material = "or3_iron_ore",
		},
		{
			class = "Item",
			uiName = "Iron Ore",
			description = "Abundently available ore which is useful for smithing steel weapons and armour.",
			gfxIndex = 45,
			impactSound = "impact_blunt",
			stackable = true,
			projectileRotationSpeed = 10,
			projectileRotationZ = -30,
			weight = 0.9,
		},
	},
	tags = { "orrr3", "crafting" },
}

defineObject{
	name = "or3_ore_orichalum",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "assets/models/items/rock.fbx",
			material = "or3_orichalum_ore",
		},
		{
			class = "Item",
			uiName = "Orichalum Ore",
			description = "An uncommon ore which can be used to create masterful weapons and armour.",
			gfxIndex = 45,
			impactSound = "impact_blunt",
			stackable = true,
			projectileRotationSpeed = 10,
			projectileRotationZ = -30,
			weight = 0.9,
		},
	},
	tags = { "orrr3", "crafting" },
}

defineObject{
	name = "or3_ore_obsidian",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "assets/models/items/rock.fbx",
			material = "or3_placeholder",
		},
		{
			class = "Item",
			uiName = "Obsidian Ore",
			description = "A rare material which has soaked up latent magic over hundreds of years.",
			gfxIndex = 45,
			impactSound = "impact_blunt",
			stackable = true,
			projectileRotationSpeed = 10,
			projectileRotationZ = -30,
			weight = 0.9,
		},
	},
	tags = { "orrr3", "crafting" },
}


defineObject{
	name = "or3_ore_meteorite",
	baseObject = "base_item",
	components = {
		{
			class = "Model",
			model = "assets/models/items/rock.fbx",
			material = "or3_placeholder",
		},
		{
			class = "Item",
			uiName = "Meteorite Ore",
			description = "An incredibly rare ore which requires ancient recipes to work with correctly.",
			gfxIndex = 45,
			impactSound = "impact_blunt",
			stackable = true,
			projectileRotationSpeed = 10,
			projectileRotationZ = -30,
			weight = 0.9,
		},
	},
	tags = { "orrr3", "crafting" },
}


--
-- CRAFTING RECIPES
--


