-- Copy of Standard Asset scripts, but no longer loading the tomb assets or the lindworm.

import "assets/scripts/objects/base.lua"

import "assets/scripts/tiles.lua"
import "assets/scripts/spells.lua"
import "assets/scripts/recipes.lua"
import "assets/scripts/sounds.lua"
import "assets/scripts/ambient_tracks.lua"
import "assets/scripts/races.lua"
import "assets/scripts/char_classes.lua"
import "assets/scripts/skills.lua"
import "assets/scripts/traits.lua"

-- import objects
import "assets/scripts/objects/generic.lua"
import "assets/scripts/objects/dungeon.lua"
import "assets/scripts/objects/tomb.lua"
import "assets/scripts/objects/mine.lua"
import "assets/scripts/objects/forest.lua"
import "assets/scripts/objects/beach.lua"
import "assets/scripts/objects/castle.lua"
import "assets/scripts/objects/swamp.lua"
import "assets/scripts/objects/cemetery.lua"
import "assets/scripts/objects/breakable.lua"
import "assets/scripts/objects/portal.lua"
import "assets/scripts/objects/beacon_tower.lua"
import "assets/scripts/objects/pushable_block.lua"
import "assets/scripts/objects/water.lua"
import "assets/scripts/objects/sky.lua"
import "assets/scripts/objects/magic_bridge.lua"
import "assets/scripts/objects/stone_philosophers.lua"

-- import items
import "assets/scripts/items/accessories.lua"
import "assets/scripts/items/armors.lua"
import "assets/scripts/items/clothes.lua"
import "assets/scripts/items/containers.lua"
import "assets/scripts/items/food.lua"
import "assets/scripts/items/herbs.lua"
import "assets/scripts/items/keys.lua"
import "assets/scripts/items/swords.lua"
import "assets/scripts/items/axes.lua"
import "assets/scripts/items/maces.lua"
import "assets/scripts/items/daggers.lua"
import "assets/scripts/items/misc_weapons.lua"
import "assets/scripts/items/throwing_weapons.lua"
import "assets/scripts/items/missile_weapons.lua"
import "assets/scripts/items/firearms.lua"
import "assets/scripts/items/misc.lua"
import "assets/scripts/items/potions.lua"
import "assets/scripts/items/scrolls.lua"
import "assets/scripts/items/shields.lua"
import "assets/scripts/items/staves.lua"
import "assets/scripts/items/tomes.lua"
import "assets/scripts/items/crystal_shards.lua"

-- import monsters
import "assets/scripts/monsters/crowern.lua"
import "assets/scripts/monsters/wyvern.lua"
import "assets/scripts/monsters/herder.lua"
import "assets/scripts/monsters/herder_small.lua"
import "assets/scripts/monsters/herder_big.lua"
import "assets/scripts/monsters/spider.lua"
import "assets/scripts/monsters/skeleton_archer.lua"
import "assets/scripts/monsters/cave_crab.lua"
import "assets/scripts/monsters/shrakk_torr.lua"
import "assets/scripts/monsters/green_slime.lua"
import "assets/scripts/monsters/forest_ogre.lua"
import "assets/scripts/monsters/mummy.lua"
import "assets/scripts/monsters/giant_snake.lua"
import "assets/scripts/monsters/rat_swarm.lua"
import "assets/scripts/monsters/medusa.lua"
import "assets/scripts/monsters/sand_warg.lua"
import "assets/scripts/monsters/fjeld_warg.lua"
import "assets/scripts/monsters/dark_acolyte.lua"
import "assets/scripts/monsters/turtle.lua"
import "assets/scripts/monsters/zarchton.lua"
import "assets/scripts/monsters/eyctopus.lua"
import "assets/scripts/monsters/mosquito_swarm.lua"
import "assets/scripts/monsters/skeleton_knight_trooper.lua"
import "assets/scripts/monsters/skeleton_knight_commander.lua"
import "assets/scripts/monsters/undead.lua"
import "assets/scripts/monsters/twigroot.lua"
import "assets/scripts/monsters/air_elemental.lua"
import "assets/scripts/monsters/fire_elemental.lua"
import "assets/scripts/monsters/magma_golem.lua"
import "assets/scripts/monsters/swamp_toad.lua"
import "assets/scripts/monsters/ice_guardian.lua"
import "assets/scripts/monsters/uggardian.lua"
import "assets/scripts/monsters/trickster.lua"
import "assets/scripts/monsters/wizard.lua"
import "assets/scripts/monsters/summon_stone.lua"
import "assets/scripts/monsters/viper_root.lua"
import "assets/scripts/monsters/turtle_diving.lua"
import "assets/scripts/monsters/zarchton_diving.lua"
import "assets/scripts/monsters/mimic.lua"
import "assets/scripts/monsters/ratling.lua"
import "assets/scripts/monsters/ratling_boss.lua"
import "assets/scripts/monsters/xeloroid.lua"
--import "assets/scripts/monsters/lindworm.lua"
import "assets/scripts/monsters/spore_mushroom.lua"

-- import spells
import "assets/scripts/spells/fireburst.lua"
import "assets/scripts/spells/shockburst.lua"
import "assets/scripts/spells/frostburst.lua"
import "assets/scripts/spells/poison_cloud.lua"
import "assets/scripts/spells/ice_shards.lua"
import "assets/scripts/spells/fireball.lua"
import "assets/scripts/spells/frostbolt.lua"
import "assets/scripts/spells/poison_bolt.lua"
import "assets/scripts/spells/lightning_bolt.lua"
import "assets/scripts/spells/dark_bolt.lua"
import "assets/scripts/spells/blob.lua"
import "assets/scripts/spells/thorn_wall.lua"
--import "assets/scripts/spells/wasp_swarm.lua"
import "assets/scripts/spells/dispel.lua"
import "assets/scripts/spells/runes.lua"
import "assets/scripts/spells/wall_fire.lua"
import "assets/scripts/spells/open_door.lua"
import "assets/scripts/spells/force_field.lua"

-- import materials
import "assets/scripts/materials/generic.lua"
import "assets/scripts/materials/dungeon.lua"
import "assets/scripts/materials/tomb.lua"
import "assets/scripts/materials/mine.lua"
import "assets/scripts/materials/forest.lua"
import "assets/scripts/materials/castle.lua"
import "assets/scripts/materials/beach.lua"
import "assets/scripts/materials/items.lua"
import "assets/scripts/materials/monsters.lua"
import "assets/scripts/materials/swamp.lua"
import "assets/scripts/materials/cemetery.lua"

-- import particle systems
import "assets/scripts/particles/crystal.lua"
import "assets/scripts/particles/cube.lua"
import "assets/scripts/particles/damage_screen.lua"
import "assets/scripts/particles/death.lua"
import "assets/scripts/particles/death_icy.lua"
import "assets/scripts/particles/earthquake_dust.lua"
import "assets/scripts/particles/frost_arrow.lua"
import "assets/scripts/particles/glitter.lua"
import "assets/scripts/particles/hit_wood.lua"
import "assets/scripts/particles/hit_blood.lua"
import "assets/scripts/particles/hit_blood_black.lua"
import "assets/scripts/particles/hit_dust.lua"
import "assets/scripts/particles/hit_flame.lua"
import "assets/scripts/particles/hit_goo.lua"
import "assets/scripts/particles/hit_slime.lua"
import "assets/scripts/particles/hit_firearm.lua"
import "assets/scripts/particles/hit_ice.lua"
import "assets/scripts/particles/party_crush.lua"
import "assets/scripts/particles/prison_ceiling_lamp.lua"
import "assets/scripts/particles/teleporter.lua"
import "assets/scripts/particles/torch.lua"
import "assets/scripts/particles/dungeon_wall_lantern.lua"
import "assets/scripts/particles/tomb_wall_lantern.lua"
import "assets/scripts/particles/portal_effect.lua"
import "assets/scripts/particles/hit_terracotta_jar.lua"
import "assets/scripts/particles/meteor_hammer.lua"
import "assets/scripts/particles/mine_support_lantern.lua"
import "assets/scripts/particles/mine_ceiling_pit_light.lua"
import "assets/scripts/particles/mine_support_ceiling_lantern.lua"
import "assets/scripts/particles/mine_crystal.lua"
import "assets/scripts/particles/forest_falling_leaves.lua"
import "assets/scripts/particles/forest_pit_fog.lua"
import "assets/scripts/particles/forest_fireflies.lua"
import "assets/scripts/particles/forest_lantern.lua"
import "assets/scripts/particles/castle_window_dust.lua"
import "assets/scripts/particles/castle_pillar_candles.lua"
import "assets/scripts/particles/floor_vent_steam.lua"
import "assets/scripts/particles/damage_fire.lua"
import "assets/scripts/particles/damage_shock.lua"
import "assets/scripts/particles/uggardian_flames.lua"
import "assets/scripts/particles/poisoned_monster.lua"
import "assets/scripts/particles/blinded_monster.lua"
import "assets/scripts/particles/stunned_monster.lua"
import "assets/scripts/particles/power_gem.lua"
import "assets/scripts/particles/power_gem_item.lua"
import "assets/scripts/particles/forest_underwater_bubbles.lua"
import "assets/scripts/particles/forest_underwater_plankton.lua"
import "assets/scripts/particles/witch_lantern.lua"
import "assets/scripts/particles/castle_wall_text.lua"
import "assets/scripts/particles/castle_wall_text_long.lua"
import "assets/scripts/particles/castle_button.lua"
import "assets/scripts/particles/beacon_crystal.lua"
import "assets/scripts/particles/beacon_furnace_text_glow.lua"
import "assets/scripts/particles/essence_water.lua"
import "assets/scripts/particles/essence_fire.lua"
import "assets/scripts/particles/essence_earth.lua"
import "assets/scripts/particles/essence_air.lua"
import "assets/scripts/particles/essence_balance.lua"
import "assets/scripts/particles/swamp_fume.lua"
import "assets/scripts/particles/dungeon_fire_pit.lua"
import "assets/scripts/particles/catacomb_alcove_candles_01.lua"
import "assets/scripts/particles/catacomb_alcove_candles_02.lua"
import "assets/scripts/particles/potion_of_vitality.lua"
import "assets/scripts/particles/potion_of_strength.lua"
import "assets/scripts/particles/potion_of_willpower.lua"
import "assets/scripts/particles/potion_of_dexterity.lua"
import "assets/scripts/particles/dummy_light.lua"
import "assets/scripts/particles/ethereal_blade.lua"
import "assets/scripts/particles/etherweed.lua"
import "assets/scripts/particles/castle_ceiling_light.lua"
