
defineObject{
	name = "or3_gothic_town_sky",
	baseObject = "forest_day_sky",
	components = {
		{
			class = "Sky",
 			ambientIntensity = 0.9,
 			tonemapSaturation = 0.9,	
 			sunColor1 = vec(1.3, 1.06, 0.91),
			sunColor2 = vec(1.1, 0.71, 0.42),
			sunColor3 = vec(0.05, 0.20, 0.30),
		},
		{
			class = "FogParticles",
			texture = "assets/textures/particles/fog_particle_cemetery.tga",
			color1 = vec(1,1,1)*3 * 0.75,
			color2 = vec(1,1,1)*2 * 0.75,
			color3 = vec(1,1,1)*0.5 * 0.75,
			particleSize = 5.5,
			opacity = 0.2,
		},
		{
			class = "LensFlare",
			enabled = false,
		},
		{
			class = "Light",
			type = "directional",
			castShadow = true,
			color = vec(0.1, 0.2, 0.9),
			color2 = vec(0.1, 0.2, 0.9),
			color3 = vec(0.1, 0.2, 0.9),
		},	
	},
	tags = { "orrr3" },	
}

defineObject{
	name = "or3_twisted_forest_sky",
	baseObject = "forest_day_sky",
	components = {
		{
			class = "Sky",
			--farClip = 1000,
			sunColor1 = vec(1.38, 1.16, 0.91),
			sunColor2 = vec(1.05, 0.76, 0.42),
			sunColor3 = vec(0.05, 0.20, 0.28),
			fogMode = "dense",
			fogColor1 = vec(0.3,0.5,0.15) * 0.25,
			fogColor2 = vec(0.3,0.5,0.15) * 0.15,
			fogColor3 = vec(0.3,0.5,0.15) * 0.10,
			fogRange = {0,30},
			ambientIntensity = 0.5,
		},
		{
			class = "FogParticles",
			texture = "assets/textures/particles/fog_particle.tga",
			color1 = vec(1,1,1)*3 * 0.75,
			color2 = vec(1,1,1)*2 * 0.75,
			color3 = vec(1,1,1)*0.7 * 0.75,
			particleSize = 5.5,
			opacity = 0.4,
		},
		{
			class = "LensFlare",
			enabled = false,
		},
	},
	tags = { "orrr3" },		
}