
defineCondition{
   name = "sp_regenerate_health",
   uiName = "Health Regeneration",
   description = "+2 Health per Second",
   icon = 1,
   beneficial = true,
   harmful = false,
   tickInterval = 1,
   onStart = function(self, champion)
      --self:setDuration(30)
   end,
   onStop = function(self, champion)

   end,
   onRecomputeStats = function(self, champion)

   end,
   onTick = function(self, champion)
      champion:regainHealth(2)
   end,
}

defineCondition{
   name = "sp_regenerate_energy",
   uiName = "Energy Regeneration",
   description = "+2 Energy per Second",
   icon = 1,
   beneficial = true,
   harmful = false,
   tickInterval = 1,
   onStart = function(self, champion)
      --self:setDuration(30)
   end,
   onStop = function(self, champion)

   end,
   onRecomputeStats = function(self, champion)

   end,
   onTick = function(self, champion)
      champion:regainEnergy(2)
   end,
}

defineCondition{
   name = "sp_ogre_strength",
   uiName = "Ogre Strength",
   description = "+10 Strength",
   icon = 1,
   beneficial = true,
   harmful = false,
   tickInterval = 1,
   onStart = function(self, champion)
      
   end,
   onStop = function(self, champion)
      
   end,
   onRecomputeStats = function(self, champion)
      champion:addStatModifier("strength", 10)
   end,
   onTick = function(self, champion)
      
   end,
}
