
defineObject{
   name = "urban_town_pillar",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_pillar_wooden.fbx",
      },
},
   placement = "pillar",
   editorIcon = 108,
}

defineObject{
   name = "urban_town_wall_pillar",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_pillar.fbx",
      },
},
   placement = "pillar",
   editorIcon = 108,
}

defineObject{
   name = "urban_town_pillar_wooden",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_pillar_wooden.fbx",
      },
},
   placement = "pillar",
   editorIcon = 108,
}

defineObject{
   name = "urban_town_pillar_wooden_2H",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_pillar_wooden_2h.fbx",
      },
	 -- {
		--	class = "Occluder",
			--model = "mod_assets/ext/sx_urban_town/models/sx_house01_pillar_wooden_2h_occluder.fbx",
	  --},
},
   placement = "pillar",
   editorIcon = 108,
}

defineObject{
   name = "urban_town_wall_01",
   baseObject = "base_secret_door",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall.fbx",
      },
	  {
         class = "Model",
		 name = "lower_stones_trim",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall_stonestrim.fbx",
      },
	  --{
		--	class = "Occluder",
		--	model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall_occluder.fbx",
	  --},
},
   placement = "wall",
   editorIcon = 128,
}

defineObject{
   name = "urban_town_wall_02",
   baseObject = "base_secret_door",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall.fbx",
      },
	  {
			class = "Occluder",
			model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall_occluder.fbx",
	  },
},
   placement = "wall",
   editorIcon = 128,
}

defineObject{
   name = "urban_town_door_frame",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_door_frame.fbx",
      },
},
   placement = "wall",
   editorIcon = 16,
}

defineObject{
   name = "urban_town_ceiling_v",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_ceiling_v.fbx",
      },
},
   placement = "ceiling",
   editorIcon = 104,
}

defineObject{
   name = "urban_town_ceiling_v_snow",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_ceiling_v_snow.fbx",
      },
},
   placement = "ceiling",
   editorIcon = 104,
}

defineObject{
   name = "urban_town_ceiling_v_end",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_ceiling_v_end.fbx",
      },
},
   placement = "wall",
   editorIcon = 124,
}

defineObject{
   name = "urban_town_ceiling_stonesupport",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall_beamsupport.fbx",
      },
},
   placement = "wall",
   editorIcon = 188,
}

defineObject{
   name = "urban_town_wall_window_01",
   baseObject = "base_secret_door",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall_window_01.fbx",
      },
	   {
         class = "Model",
		 name = "lower_stones_trim",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_wall_stonestrim.fbx",
      },
},
   placement = "wall",
   editorIcon = 132,

}

defineObject{
   name = "urban_town_wooden_ceiling",
   components = {
      {
         class = "Model",
         model = "mod_assets/ext/sx_urban_town/models/sx_house01_wooden_ceiling.fbx",
      },
	  {
         class = "Platform",
      },
--	  {
--			class = "Occluder", 
--			model = "mod_assets/ext/sx_urban_town/models/sx_house01_wooden_ceiling_occluder.fbx",
--	  },
},
   placement = "floor",
   editorIcon = 184,
}

defineObject{
	name = "urban_town_door_wooden",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/sx_urban_town/models/sx_house01_door.fbx",
		},
		{
			class = "Model",
			name = "door_logic",
			model = "mod_assets/ext/sx_urban_town/models/sx_blocker.fbx",
		},
		{
			class = "Animation",
			animations = {
				activate = "mod_assets/ext/sx_urban_town/animations/sx_urban_door_open.fbx",
				deactivate = "mod_assets/ext/sx_urban_town/animations/sx_urban_door_close.fbx",
			},
		},
		{
			class = "Door",
			sparse = false,
			killPillars = false,
			openVelocity = 10,
			closeVelocity = 0,
			closeAcceleration = -10,
			openSound = "sx_silent",
			closeSound = "sx_silent",
			lockSound = "sx_silent"
		},
		{
			class = "Clickable",
			maxDistance = 1,
			-- offset vector is the point where begin the clickable box
			offset = vec(0,1.3,0),
			-- size is the size of our clickable box
			size = vec(2.0,2.0,0.3),
			--debugDraw = true,
			onClick = function(self)
				if self.go.door:isClosed() then
					self.go.controller:open()
				else
					self.go.controller:close()
				end
			end
		},
{
			class = "ItemConstrainBox",
			name = "cbox1",
			size = vec(0.8, 3, 0.7),
			offset = vec(-1.3, 1.5, 0),
			--debugDraw = true,
		},
		{
			class = "ItemConstrainBox",
			name = "cbox2",
			size = vec(0.8, 3, 0.7),
			offset = vec(1.3, 1.5, 0),
			--debugDraw = true,
		},
		{
			class = "Controller",
			onOpen = function(self)
				self.go.door:open()
				playSound("sx_door") --Change to what you want
				self.go.animation:play("activate")
			end,
			onClose = function(self)
				self.go.door:close()
				playSound("sx_door") --Change to what you want
				self.go.animation:play("deactivate")
			end,
			onToggle = function(self)
				if self.go.door:isClosed() then
					self.go.controller:open()
				else
					self.go.controller:close()
				end
			end,
		},
	},
	placement = "wall",
	editorIcon = 16,
	tags = { "sx_doors" },
}

defineObject{
	name = "urban_town_door_wooden_button",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/sx_urban_town/models/sx_blocker.fbx",
		},
		{
			class = "Clickable",
			offset = vec(0,1.375,0),
			size = vec(2.0, 2.0, 0.3),
			--debugDraw = true,
		},
		{
			class = "Button",
			sound = "sx_silent",
		},
	},
	placement = "wall",
	editorIcon = 12,
}

-- extra chests

defineObject{
	name = "sx_barrel_chest",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/sx_urban_town/models/sx_barrel_chest.fbx",
			offset = vec(0, 0, 0.65),
		},
		{
			class = "Animation",
			animations = {
				open = "assets/animations/env/treasure_chest_open.fbx",
				close = "assets/animations/env/treasure_chest_close.fbx",
			}
		},
		{
			class = "Clickable",
			offset = vec(0,0.5,0.6),
			size = vec(1.0, 1.0, 0.8),
			maxDistance = 1,
			debugDraw = false,
		},
		{
			class = "Obstacle",
			hitSound = "barrel_hit",
		},
		{
			class = "ProjectileCollider",
		},
		{
			class = "Surface",
			offset = vec(0,0.1,0.6),
			size = vec(0.5, 0,-0.3),
			debugDraw = false,
		},		
		{
			class = "Chest",
		},
	},
	placement = "floor",
	editorIcon = 216,
	automapIcon = 124,
	automapIconLayer = 1,
}

defineObject{
	name = "sx_barrel_chest_02",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/sx_urban_town/models/sx_barrel_chest_02.fbx",
			offset = vec(0, 0, 0.65),
		},
		{
			class = "Animation",
			animations = {
				open = "assets/animations/env/treasure_chest_open.fbx",
				close = "assets/animations/env/treasure_chest_close.fbx",
			}
		},
		{
			class = "Clickable",
			offset = vec(0,0.5,0.6),
			size = vec(1.0, 1.0, 0.8),
			maxDistance = 1,
			debugDraw = false,
		},
		{
			class = "Obstacle",
			hitSound = "barrel_hit",
		},
		{
			class = "ProjectileCollider",
		},
		{
			class = "Surface",
			offset = vec(0,0.1,0.6),
			size = vec(0.5, 0,-0.3),
			debugDraw = false,
		},		
		{
			class = "Chest",
		},
	},
	placement = "floor",
	editorIcon = 216,
	automapIcon = 124,
	automapIconLayer = 1,
}
