
g_debugDraw = false


defineObject{
	name = "tp_shop_counter_01",
	baseObject = "base_altar",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/shop_counter_01.fbx",
			staticShadow = true,
		},
		{
			class = "Surface",
			offset = vec(0.5, 0.92, 0),
			size = vec(2.1, 1.4),
			debugDraw = g_debugDraw,
		},
	},
	automapIcon = 152,
}

defineObject{
	name = "tp_shop_counter_01_part02",
	baseObject = "base_altar",
	components = {
		{
			class = "Surface",
			offset = vec(-0.5, 0.92, 0),
			size = vec(2.1, 1.4),
			debugDraw = g_debugDraw,
		},
	},
	automapIcon = 152,
}

defineObject{
	name = "tp_shop_counter_wine_barrel",
	baseObject = "base_floor_decoration",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/counter_top_wine_barrel.fbx",
			staticShadow = true,
		}
	},
	minimalSaveState = true,
}

defineObject{
	name = "tp_wooden_table_01",
	baseObject = "base_altar",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/wooden_table_01.fbx",
			staticShadow = true,
		},
		{
			class = "Surface",
			offset = vec(0, 0.83, 0),
			size = vec(2.1, 1.2),
			debugDraw = g_debugDraw,
		},		
	},
	automapIcon = 152,
}

defineObject{
	name = "tp_bed_01",
	baseObject = "base_altar",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/bed_01.fbx",
			staticShadow = true,
		},
		{
			class = "Surface",
			offset = vec(-0.30, 0.50, 0),
			size = vec(1.5, 1.1),
			debugDraw = g_debugDraw,
		}
	}
}

defineObject{
	name = "tp_wall_shelf_01",
	baseObject = "base_alcove",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/wall_shelf_01.fbx",
			staticShadow = false,
		},
		{
			class = "Surface",
			offset = vec(0, 1.215, -0.25),
			size = vec(1.1, 0.4),
			debugDraw = g_debugDraw,
		},
		{
			class = "Clickable",
			offset = vec(0, 1.215+0.2, -0.25),
			size = vec(1.1, 0.4, 0.4),
			debugDraw = g_debugDraw,
		},		
	},
	replacesWall = false,
	placement = "wall",
	editorIcon = 8,
}

defineObject{
	name = "tp_bookshelf_01",
	baseObject = "base_alcove",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/bookshelf_01.fbx",
			staticShadow = false,
			offset = vec(0, 0, -0.3),
		},
		{
			class = "Surface",
			offset = vec(0, 0.95, -0.3),
			size = vec(1.25, 0.3),
			debugDraw = g_debugDraw,
		},
		{
			class = "Clickable",
			offset = vec(0, 0.95+0.2, -0.3),
			size = vec(1.25, 0.4, 0.3),
			debugDraw = g_debugDraw,
		},		
	},
	replacesWall = false,
	placement = "wall",
	editorIcon = 8,
}

defineObject{
	name = "tp_wooden_shelves_01",
	baseObject = "base_alcove",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/wooden_shelves_01.fbx",
			staticShadow = false,
			offset = vec(0, 0, -0.0),
		},
		{
			class = "Surface",
			offset = vec(0, 0.90, -0.3),
			size = vec(1.5, 0.3),
			debugDraw = g_debugDraw,
		},
		{
			class = "Clickable",
			offset = vec(0, 0.90+0.2, -0.3),
			size = vec(1.5, 0.4, 0.3),
			debugDraw = g_debugDraw,
		},	
	},
	replacesWall = false,
	placement = "wall",
	editorIcon = 8,
}

defineObject{
	name = "tp_wooden_shelves_02",
	baseObject = "base_alcove",
	components = {
		{
			class = "Model",
			model = "mod_assets/ext/town_props/models/wooden_shelves_02.fbx",
			staticShadow = false,
			offset = vec(0, 0, -0.0),
		},
		{
			class = "Surface",
			offset = vec(0, 0.90, -0.3),
			size = vec(1.5, 0.3),
			debugDraw = g_debugDraw,
		},
		{
			class = "Clickable",
			offset = vec(0, 0.90+0.2, -0.3),
			size = vec(1.5, 0.4, 0.3),
			debugDraw = g_debugDraw,
		},	
	},
	replacesWall = false,
	placement = "wall",
	editorIcon = 8,
}