function stoneSet1()
    if aan_bft_setx_tri_0.floortrigger:isActivated() and aan_bft_set1_tri_1.floortrigger:isActivated() 
       and aan_bft_set1_tri_2.floortrigger:isActivated() and aan_bft_set1_tri_3.floortrigger:isActivated() 
       and aan_bft_set1_tri_4.floortrigger:isActivated() then
      --print("Stone1 floortrigger activated!")
    puzzleSolved()
    end
end

function stoneSet2()
    if aan_bft_setx_tri_0.floortrigger:isActivated() and aan_bft_set2_tri_1.floortrigger:isActivated() 
       and aan_bft_set2_tri_2.floortrigger:isActivated() and aan_bft_set2_tri_3.floortrigger:isActivated() 
       and aan_bft_set2_tri_4.floortrigger:isActivated() then
      --print("Stone2 floortrigger activated!")
    puzzleSolved()
    end
end

function mimicChest()
 aan_chest_mimic.chest:setMimic(true)
end


function resetStones()
 if aan_pushable_block_floor_1.controller:isActivated() == true then
    aan_stones_reset_button.clickable:disable()
    aan_pushable_block_2:destroy()
    aan_pushable_block_3:destroy()
    aan_pushable_block_4:destroy()
    aan_pushable_block_5:destroy()
    playSound("wizard_warp")
    aan_reset_timer.timer:start()
 end
end

function createStones()
 if aan_pushable_block_floor_1.controller:isActivated() == true then
    spawn("pushable_block", party.level, 28, 21, 1, -1, "aan_pushable_block_2")
    spawn("pushable_block", party.level, 24, 21, 1, -1, "aan_pushable_block_3")
    spawn("pushable_block", party.level, 26, 23, 1, -1, "aan_pushable_block_4")
    spawn("pushable_block", party.level, 26, 19, 1, -1, "aan_pushable_block_5")
 end
end

function resetbuttonEnable()
    aan_stones_reset_button.clickable:enable()
end
    
function enablePath()
    --aan_bf_jail2.controller:deactivate()
    aan_bf_jail.controller:deactivate()
    --aan_bf_jail2.lightStrip:enable()
    aan_pushable_block_1.clickEast:disable()
	aan_pushable_block_floor_1.controller:activate()
    aan_pushable_block_floor_2.controller:activate()
    aan_pushable_block_floor_3.controller:activate()
    aan_pushable_block_floor_4.controller:activate()
    aan_pushable_block_floor_5.controller:activate()
    aan_pushable_block_floor_6.controller:activate()
    aan_pushable_block_floor_7.controller:activate()
    aan_pushable_block_floor_8.controller:activate()
    aan_pushable_block_floor_9.controller:activate()
    aan_pushable_block_floor_10.controller:activate()
    aan_pushable_block_floor_11.controller:activate()
    aan_pushable_block_floor_12.controller:activate()
    aan_pushable_block_floor_13.controller:activate()
    aan_pushable_block_floor_14.controller:activate()
    aan_pushable_block_floor_15.controller:activate()
    aan_pushable_block_floor_16.controller:activate()
    aan_pushable_block_floor_17.controller:activate()
    aan_pushable_block_floor_18.controller:activate()
    aan_pushable_block_floor_19.controller:activate()
    aan_pushable_block_floor_20.controller:activate()
    aan_pushable_block_floor_21.controller:activate()
    aan_pushable_block_floor_22.controller:activate()
    aan_pushable_block_floor_23.controller:activate()
    aan_pushable_block_floor_24.controller:activate()
    aan_jail_secret_door.door:open()
    aan_dungeon_door_portcullis_7.door:open()
    --spawn("force_field", party.level, 28, 23, 1, -1, "aan_force_field")
    playSound("force_field_cast")
    playSound("pushable_block_rise")
    spawn("wizard_explosion", party.level, 26, 21, 1, -1, "aan_wizard_explosion")
end

function puzzleSolved()
 --print("Room completed!")
    aan_invisible_teleporter.controller:activate()
    playSound("light")
    playSound("blow_horn") 
    aan_bf_jail2.controller:deactivate()
    spawn("darkness_cloud", party.level, 26, 21, 1, -1, "aan_darkness_cloud")
    aan_pushable_block_floor_1.controller:deactivate()
    aan_pushable_block_floor_2.controller:deactivate()
    aan_pushable_block_floor_3.controller:deactivate()
    aan_pushable_block_floor_4.controller:deactivate()
    aan_pushable_block_floor_5.controller:deactivate()
    aan_pushable_block_floor_6.controller:deactivate()
    aan_pushable_block_floor_7.controller:deactivate()
    aan_pushable_block_floor_8.controller:deactivate()
    aan_pushable_block_floor_9.controller:deactivate()
    aan_pushable_block_floor_10.controller:deactivate()
    aan_pushable_block_floor_11.controller:deactivate()
    aan_pushable_block_floor_12.controller:deactivate()
    aan_pushable_block_floor_13.controller:deactivate()
    aan_pushable_block_floor_13b.lightStrip:enable()
    spawn("mine_ceiling_pit_light_bright", party.level, 26, 21, 1, 1, "aan_t_ceiling_light")
    spawn("dispel_blast", party.level, 26, 21, 1, -1, "aan_t_puzzleblast")
    aan_pushable_block_floor_14.controller:deactivate()
    aan_pushable_block_floor_15.controller:deactivate()
    aan_pushable_block_floor_16.controller:deactivate()
    aan_pushable_block_floor_17.controller:deactivate()
    aan_pushable_block_floor_18.controller:deactivate()
    aan_pushable_block_floor_19.controller:deactivate()
    aan_pushable_block_floor_20.controller:deactivate()
    aan_pushable_block_floor_21.controller:deactivate()
    aan_pushable_block_floor_22.controller:deactivate()
    aan_pushable_block_floor_23.controller:deactivate()
    aan_pushable_block_floor_24.controller:deactivate()
    --hudPrint("Room completed!");
    spawn("altar", party.level, 26, 21, 1, -1, "aan_altar")
    aan_ore_timer.timer:start()
end

function addOre()
     aan_invisible_teleporter.controller:deactivate()
     aan_altar.surface:addItem(spawn("or3_ore_meteorite").item)
end

