az_mwall_timer.timer:stop();
az_spike_timer.timer:stop();

function ActivateSpikes()
	-- Timer for 3 seconds calls this
	for cnt = 1,9 do
			local spike = findEntity("az_mspike_" .. cnt);
			
			if spike ~= nil then
				spike.controller:activate();
			end
	end

end


function MoveWallForward()
	-- a timer of 30 to 50 seconds calls this
	
	local advanceYPos = 1;
	local checker = findEntity("az_trigger_1");
	
	if checker ~= nil then
		checker:setPosition(checker.x, checker.y+1, checker.facing, checker.elevation, checker.level); 
	end
	
	
	local baseYPos = checker.y - 1; -- this is the front of the wall
	local partyYPos = party.y;
	
	if (partyYPos < 29) then
		while (partyYPos < baseYPos) do				
			party:setPosition(party.x, party.y + advanceYPos, party.facing, party.elevation, party.level);
			partyYPos = party.y;
		end
	end
	
	for ctr = 1, 36 do
		local moveObject = findEntity("az_mobj_" .. ctr);
		
		if moveObject ~= nil then
			moveObject:setPosition(moveObject.x, moveObject.y + advanceYPos, moveObject.facing, moveObject.elevation, moveObject.level); -- moves the object(wall) forward once
		end
		
		if ctr < 10 then
			local backSpike = findEntity("az_mspike_" .. ctr);
			
			if backSpike ~= nil then
				backSpike:setPosition(backSpike.x, backSpike.y + advanceYPos, backSpike.facing, backSpike.elevation, backSpike.level); 
			end
		end
	end	
	
	az_mwall_counter.counter:increment();
	
	party.party:shakeCamera(0.15,1);
	playSound("magma_golem_meteor_fall");
	
	if (az_mwall_counter.counter:getValue() % 2 == 0) then
		hudPrint("You feel the walls closing in");
	end
	
	
	-- stop wall after final kill
	if checker.y - 1 == 29 then
		az_mwall_timer.timer:stop();
	end
end

