hasDug = false;

function dig()
	if (not hasDug) then
		self.go:spawn "xan_fake_pit";
		
		spawn("xan_fake_ladder", self.level, self.x, self.y, 2, -2)
		xan_swamp_floor_ph_pit:destroy();
		
		hudPrint "You have found a secret entrance - 350 Exp";
		
		for i = 1, 4 do
			party.party:getChampion(i):gainExp(350);
		end
		
		hasDug = true;
		
		playSound("secret");
	end
end

function step()
	if (hasDug) then
		GameMode.fadeOut(0, 0.5);
		delayedCall(self.go.id, 0.5, "onFadeOut");
	end
end

function onFadeOut()
	GameMode.fadeIn(0, 0.5);
	xan_teledown.controller:activate();
	delayedCall(self.go.id, 0.5, "onDeactivate");
end

function onDeactivate()
	xan_teledown.controller:deactivate();
end


function boom()
	party:spawn("fireburst");
	party:spawn("fireburst");
	party:spawn("fireburst");
	party:spawn("fireburst");
	party:spawn("fireburst");
	hudPrint "You dig out a land mine.";
end










