form = nil;

function gtkDidLoad()
	GTK.Core.GUI:addImage({ name="panel-bg", path="assets/textures/gui/gui_items.tga", origin={548, 2304}, size={582, 118}, margin={10, 10, 10, 10} });
	GTK.Core.GUI:addImage({ name="test", path="mod_assets/ext/grimtk/textures/test.tga", size={128, 128} });

	form = {
		name = "demo01",
		type = "GWindow",
		gravity = GTK.Constants.Gravity.South,
		offset = {0, 0},
		size = {582, 118},
		bgColor = {0, 0, 0, 0},
		bgImage = "panel-bg",
		bgDrawMode = GTK.Constants.ImageDrawMode.Stretched,
		draggable = true,
		freezeAI = true,
		children = {
			{
				type = "GPushButton",
				position = {10, 10},
				size = {96, 96},
				bgImage = "test",
				bgDrawMode = GTK.Constants.ImageDrawMode.Stretched,
				onPressed = self.go.id .. ".script.closeButton"
			},
			{
				type = "GLabel",
				position = {112, 16},
				size = {100, 22},
				text = "Your Name:",
				font = GTK.Constants.Fonts.Small,
			},			
			{
				type = "GTextEdit",
				position = {212, 12},
				size = {356, 22},
				text = "",
				maxLength = 32,
				font = GTK.Constants.Fonts.Small,
			},
			{
				type = "GLabel",
				position = {112, 46},
				size = {100, 22},
				text = "Other Box:",
				font = GTK.Constants.Fonts.Small,
			},		
			{
				type = "GTextEdit",
				position = {212, 42},
				size = {356, 22},
				text = "",
				maxLength = 32,
				font = GTK.Constants.Fonts.Small,
			},
			{
				type = "GRadioButton",
				position = {112, 72},
				size = {140, 20},
				label = {
					text = "Radio A",
				}
			},
			{
				type = "GRadioButton",
				position = {262, 72},
				size = {140, 20},
				label = {
					text = "Radio B",
				}
			},			
			{
				type = "GRadioButton",
				position = {412, 72},
				size = {140, 20},
				label = {
					text = "Radio C",
				}
			},			

		}
	}
end

function closeButton(sender, mouseState)
	GTK.Core.GUI:hideWindow("demo01")
end

function showGui()
	if ( GTK.Core.GUI:getWindow("demo01") == nil ) then 	
		GTK.Core.GUI:createWindow(form);
	else 
		GTK.Core.GUI:showWindow("demo01");
	end
end

function hideGui()
	GTK.Core.GUI:hideWindow("demo01");
end

--delayedCall("demo_script", 0.5, "postInit");
