----
-- Simple Message Box Example
----

---- 
-- This code allows you to present a message box with up to two buttons.
----


function messageBoxCallback(buttonText)
	hudPrint("You pressed: " .. buttonText);
end


function showMessageBox()
	local title = "A Message Box";
	local text = "A small message box invoked using:\n\nGTKGui.Basic.showMessageBox(title, text, callback, {'Okay', 'Cancel'}, 'small');";
	local okButton = "Okay";
	local cancelButton = "Cancel";
	
	GTKGui.Basic.showMessageBox(title, text, self.go.id..".script.messageBoxCallback", {okButton, cancelButton}, "small");
end


function dismissMessageBox()
	GTKGui.Basic.dismissMessageBox();
end
