----
-- Simple Message Box Example
----

---- 
-- This code allows you to present a message box with up to two buttons.
----

isDone = false;


function messageBoxCallback(buttonIndex)
	if ( buttonIndex == 1 ) then
		local e = findEntity("messagebox_demo_door");
		
		if e then
			e.door:open();
			isDone = true;
		end
	end
end


function showMessageBox()
	if ( isDone == true ) then
		return
	end

	local title = "A Message Box";
	local text = "Would you like me to open this bad-ass door for you?";
	local okButton = "Yes";
	local cancelButton = "No";
	
	GTKGui.Basic.showMessageBox(title, text, self.go.id..".script.messageBoxCallback", {okButton, cancelButton}, "large");
end


function dismissMessageBox()
	GTKGui.Basic.dismissMessageBox();
end
