----
-- Simple Message Box Example
----

---- 
-- This code allows you to present a message box with up to two buttons.
----

isDone = false;


function selectMenuCallback(selectedIndex, selectedText)
	local thingToSpawn = nil;

	if ( selectedIndex == 1 ) then
		thingToSpawn = "figure_ogre";
	elseif ( selectedIndexf == 2 ) then
		thingToSpawn = "long_sword";
	elseif ( selectedIndex == 3 ) then
		thingToSpawn = "blueberry_pie";
	end
	
	if ( thingToSpawn ) then
		spawn(thingToSpawn, self.level, self.x, self.y, self.facing, self.elevation);
		isDone = true;
		
		local e = findEntity("selectmenu_demo_door");
		
		if ( e ) then
			e.door:open();
		end
	end
end


function showSelectMenu()
	if ( isDone ) then
		return;
	end

	local title = "Choose Thy Destiny...";
	local message = "Select an option from below or else it gets the hose again.";
	local options = {
		{ title="Ogre-licious!", detail="Do you like Ogres?" },
		{ title="Longsword", detail="Mmm, a shiny Longsword..." },
		{ title="Blueberry Pie", detail="Because it's so damn good!" }
	};
	
	GTKGui.Basic.showSelectMenu(title, message, options, self.go.id .. ".script.selectMenuCallback");
end


function dismissSelectMenu()
	GTKGui.Basic.dismissSelectMenu();
end