
defineObject{
	name = "sp_fire_trap",
	components = {
		{
			class = "Model",
			model = "assets/models/effects/trap_rune.fbx",
			offset = vec(0, 0.1, 0),
			emissiveColor = vec(1.0, 0.0, 0.0)
		},
		{
			class = "FloorTrigger",
			pressurePlate = false,
			triggeredByMonster = true,
			triggeredByItem = true,
			triggeredByParty = true,
			onActivate = function(self)
				self.go:spawn("fireburst")
				self.go:destroy()
			end
		},
		{
			class = "ProjectileCollider",
			collisionGroup = 2,		-- only dispel projectiles collision with us
		},
	},
	replacesFloor = false,
	killHeightmap = true,
	placement = "floor",
	editorIcon = 0,
	automapIcon = 112,
}
