
function movtom()
	local random = MersenneTwister.create(Time.systemTime())
	local n = random:randomInt(1, 2)
	local m = random:randomInt(1, 3)
	local base=tp_wooden_shelves_02_8.x
	local matx={base,base+1}
	local maty={base-6,base-5,base-4}
	local tom=dc_tome_moon_1
	local high= tom:getWorldPositionY()
		if tom.elevation>2 then return end
		if 2+high<=2 then	
			tom:setWorldPositionY(2+high)
			playSound("swipe_thrown")
			elseif tom.x== base and tom.y== base-4 then
			showInfoMessage()
		end 
		if 2+high>2 then
			playSound("swipe_thrown") 
			if tom.x==matx[1] and tom.y==maty[1] 
			then tp_bed_01_20.surface:addItem(tom.item)
			showInfoMessage2()
			else tom:setPosition(matx[n],maty[m],0,0,tom.level)			
			end
		end
end

function showInfoMessage()
	local text = "Don't put your hands on me!";
	local duration = 2.0;
	
	GTKGui.Basic.showInfoMessage(text, duration);
end

function showInfoMessage2()
	local text = "Ok,ok, you win!";
	local duration = 2.0;
	
	GTKGui.Basic.showInfoMessage(text, duration);
end

function surfaceContains()
  for _,i in forest_altar_2.surface:contents() do
	if i.go.name=="figure_crowern" then
	i.go:destroy()
	spawn("furnace_explosion",party.level,party.x,party.y,3,party.elevation)
	local fam=spawn("crowern",party.level,party.x+1,party.y,2,party.elevation+1)
	fam.basicAttack:disable()
	urban_town_door_wooden_2.controller:open()
	fam.brain:addConnector("onThink",self.go.id,"joinmaster",self)
	end
  end
end
	
 function joinmaster(self)
	local crx=floor_trigger_13.x
	local cry=floor_trigger_13.y
	self.go.brain:seek(crx+1,cry+1)
	self.go.brain:startGuarding()
	self.go.brain:removeConnector("onThink",self.go.id,"joinmaster")
	mine_door_spear_8.door:open()
 end

 isDone = false
shownOnce0 = false
ind=false

function fight()
	local wizard = findEntity("Thelonius_wizard")
	if wizard then
		wizard.brain:enable()
	end
	floor_trigger_13.floortrigger:disable()
	mine_door_spear_8.door:open()
	dungeon_door_wooden_2.door:open()
	floor_trigger_22.floortrigger:disable()
end
Thelonius_clues.scrollitem:setScrollImage("mod_assets/rooms/duncan/textures/Thelonius_clues.dds")

function treasure()
	if ind==true then setMouseItem(Thelonius_clues.item)	
	isDone = true
	end
end



function notnow()
 mine_door_spear_8.door:open()
end

function closetime()
  if ind and isDone then 
  urban_town_door_wooden_2.controller:close()
  end
end


function deal()
  for _,i in forest_altar_2.surface:contents() do
	if i.go.name=="dc_tome_moon"
	then ind=true
	dungeon_door_wooden_2.door:open()
	i.go:destroyDelayed()
	end
  end	
end
fin=0
	
function final()
	local counted=0
	for _,i in tp_wooden_table_01_5.surface:contents() do
		if i.go.name=="power_gem_item"
		then counted=counted+1
		end
	end
	if counted==4 then fin=1
	print("ok")
	showDialogue()
  	end	
end

function showDialogue(sender)
	
	local startPage = nil

	if ( shownOnce0 == false ) then
		startPage = "first"
		shownOnce0 = true 
	elseif ind and not isDone then startPage="treasure"
	elseif isDone and fin==0 then startPage="whatsnew"
	elseif isDone and fin==1 then startPage="reward"
	else
		startPage = "whatfor"
	end


	local dialogue = {
		lockParty = true,
		startPage = startPage,
		pages = {
			{
				id = "first",
				speakerName = "Thelonius",
				speakerMessage = "Welcome, dear visitors! And thanks for my familiar,its help is worthy",
				responses = {
					{ text = "We're decided to kill you actually...", nextPage = "fight" },
					{ text = "If you give us all your valuables, you can resume your work and we shall not disturb you any more", nextPage = "blackmail" },
					{ text = "We are wondering if you know something about hidden treasures?", nextPage = "return" },					
				} 
			},
			{
				id = "return",
				speakerName = "Thelonius",
				speakerMessage = "Well! I see what you are looking for...and I may help you...if you help me!",
				responses = {
					{ text = "Never, rather die!", nextPage = "fight" },
					{ text = "If you give us some clue we'll let you live.", nextPage = "fight" },
					{ text = "Help in what?", nextPage = "whatfor" },					
				} 
			},
			{
				id = "blackmail",
				speakerName = "Thelonius",
				speakerMessage = "Seriously?So young and you want already to die? ",
				responses = {
					{ text = "It's time now!", onSelect = self.go.id .. ".script.fight" },
					{ text = "Ok, ok... what do you suggest?", nextPage = "return" },
				}
			},
			{
				id = "fight",
				speakerName = "Thelonius",
				speakerMessage = "It's boring and I am very busy now...Can I kill you another day? ",
				responses = {
					{ text = "It's time now!", onSelect = self.go.id .. ".script.fight" },
					{ text = "You win! What kind of help do you need?", nextPage = "whatfor" },
				}
			},		
			{
				id = "whatfor",
				speakerName = "Thelonius",
				speakerMessage = "I need some remains to get ride of the ghouls down there, but first you have to find a book that is lost somewhere in my house",
				responses = {
					{ text = "No way, we have to fight now!", nextPage = "fight" },
					{ text = "There is a misunderstanding between us, can you start again from the beginning?", nextPage = "return" },
					{ text = "It's on the altar", nextPage ="treasure", onSelect = self.go.id .. ".script.deal"},
					{ text = "What book? and why don't you find it yourself?",  nextPage = "flighty"},
					{ text = "We are busy now, later perhaps <Leave>", onSelect = self.go.id .. ".script.notnow"}			
				}
			},
			{
				id = "flighty",
				speakerName = "Thelonius",
				speakerMessage = "It's the tome of moon. It's moody and try always to go its own way...",
				responses = {
					{ text = "It can't escape us! <Leave>" },
					{ text = "For the moment, we prefer to go out.", onSelect = self.go.id .. ".script.notnow" },
				}
			},
			{
				id = "treasure",
				speakerName = "Thelonius",
				speakerMessage = "There is some clues on this scroll... and you can get back all weapons. Don't forget to board me when you went out, finally, if you went out... If you prefer to give up, I would re-open the park gate for you , of course. It's your choice !",
				responses = {
					{ text = "Yes, we can!.", onSelect = self.go.id .. ".script.treasure",  },
					{ text = "For the moment, we prefer to go out.", onSelect = self.go.id .. ".script.notnow" },
				}
			},
			{
				id = "whatsnew",
				speakerName = "Thelonius",
				speakerMessage = "So, you got the remains?",
				responses = {
					{ text = "Yes, here they are.",nextPage= "mygems"  },
					{ text = "Not yet, but we are working on <Leave>", },
					{ text = "For the moment, we prefer to go out.", onSelect = self.go.id .. ".script.notnow" },
				}
			},	
			{
				id = "mygems",
				speakerName = "Thelonius",
				speakerMessage = "Perfect! Give me the power gems.",
				responses = {
					{ text = "WHAT? But the remains??", nextPage="surprise", },
					{ text = "Never! If you want them, you must fight", onSelect = self.go.id .. ".script.fight" },
				}
			},
			{
				id = "surprise",
				speakerName = "Thelonius",
				speakerMessage = "Keep them, I am sure you needs them elsewhere.",
				responses = {
					{ text = "Ok, but why ask for the remains and not directly for the gems?", nextPage="end", },
					{ text = "We keep all, let us go now", onSelect = self.go.id .. ".script.fight" },
				}
			},	
			{
				id = "end",
				speakerName = "Thelonius",
				speakerMessage = "I needs the four gems, so the remains were the necessary target, you see?",
				responses = {
					{ text = "A moment,please...<PUT THEM ON THE TABLE>",},
					{ text = "OK, they are on this table", onSelect = self.go.id .. ".script.final"},
					{ text = "We keep all, let us go now", onSelect = self.go.id .. ".script.fight" },
				}
			},	
			{
				id = "reward",
				speakerName = "Thelonius",
				speakerMessage = "This deserves a reward, so dig under the crab",
				responses = {
					{ text = "Thanks! <Leave>",},
				}
			},																
		}
	}

	GTKGui.Dialogue.startDialogue(dialogue)
end

function reward()
	local count=0
   for _,i in tp_wooden_table_01_5.surface:contents() do
		if i.go.name=="power_gem_item" then
		count=count+1
		end
	end
		if count==4 then
		mine_door_spear_8.door:open()
		floor_trigger_13.floortrigger:disable()
		end
 end

function thelodeath()
	mine_door_spear_8.door:open()
	dungeon_door_wooden_2.door:open()
	floor_trigger_22.floortrigger:disable()
end	

function epilog()
	local initx=Thelonius_wizard.x
	local inity=Thelonius_wizard.y
	local level=Thelonius_wizard.level
	Thelonius_wizard:setPosition(initx,inity,0,2,level)
	urban_town_door_wooden_2.clickable:enable()
	urban_town_door_wooden_2.door:close()
	
end
	
function hideDialogue()
	GTKGui.Dialogue.hideDialogue()
end