---------------------
-- Hooks Functions --
---------------------

fw.script:set('el_Tyronefingers_gate_key_1@item.mymod.onPickUpItem',function(hook)
	hudPrint("Picked up Tyrone's Gate Key.")
	playSound("level_up")
fw.script:remove(hook)
end)

fw.script:set('el_Infonote_01@item.mymod.onPickUpItem',function(hook)
	hudPrint("Cemetery Info Note: (1)")
	playSound("level_up")
fw.script:remove(hook)
end)

fw.script:set('tyrones_warning_note_01@item.mymod.onPickUpItem',function(hook)
	playSound("level_up")
fw.script:remove(hook)
end)
-----------------------------------------
--- Set Tombstones Positions Cemetery ---
-----------------------------------------

el_cemetery_tombstone_1:setWorldPosition(vec(28.5, 0.0, 42.5, 0))
el_cemetery_tombstone_2:setWorldPosition(vec(34.5, -0.431, 42.5, 0))
el_cemetery_tombstone_3:setWorldPosition(vec(43.5, 0.0, 42.5, 0))
el_cemetery_tombstone_4:setWorldPosition(vec(46.5, -0.431, 42.5, 0))
el_cemetery_tombstone_5:setWorldPosition(vec(65.5, 0.0, 52.5, 0))
el_cemetery_tombstone_6:setWorldPosition(vec(65.5, 0.0, 58.5, 0))
el_cemetery_tombstone_7:setWorldPosition(vec(65.5, 0.0, 61.5, 0))
el_cemetery_tombstone_8:setWorldPosition(vec(65.5, 0.0, 67.5, 0))
el_cemetery_tombstone_9:setWorldPosition(vec(65.5, 0.0, 76.5, 0))
el_cemetery_tombstone_10:setWorldPosition(vec(46.5, -0.330, 86.5, 0))
el_cemetery_tombstone_11:setWorldPosition(vec(40.5, -0.330, 86.5, 0))
el_cemetery_tombstone_12:setWorldPosition(vec(31.5, 0.0, 86.5, 0))
el_cemetery_tombstone_13:setWorldPosition(vec(25.5, 0.0, 86.5, 0))
el_cemetery_tombstone_14:setWorldPosition(vec(9.5, 0.0, 73.5, 0))
el_cemetery_tombstone_15:setWorldPosition(vec(9.5, 0.0, 61.5, 0))


----------------------------------------
--- Cemetery Beacons with food Items ---
----------------------------------------

spawn("rotten_pitroot_bread",level,0,0,0,0,"el_bread_01");
el_beacon_earth_1.socket:addItem(el_bread_01.item);
spawn("rotten_pitroot_bread",level,0,0,0,0,"el_bread_02");
el_beacon_earth_4.socket:addItem(el_bread_02.item);

--------------------------------
--- Tree Stumps with Item(s) ---
--------------------------------

function elStump01()
	el_tree_stump_patch_socket_1:destroy()
		spawn("el_tree_stump_patch_socket_txt",1,18,27,1,0,"el_fakestump01");
end

function elStump02()
	el_tree_stump_patch_socket_2:destroy()
		spawn("el_tree_stump_patch_socket_txt",1,25,19,2,0,"el_fakestump02");
end

function elStump03()
	el_tree_stump_patch_socket_3:destroy()
		spawn("el_tree_stump_patch_socket_txt",1,12,22,3,0,"el_fakestump03");
end


---------------------------
--- Change Sky To Night ---
---------------------------

function eltimeit()
	GameMode.setTimeOfDay(1.97);
end


---** Start Level **---

--------------------------
--- Cemetery Gate Keys ---
--------------------------

function elDstSock1()
	el_graveyard_gate_key_1_1:destroy();
		el_grvyrd1_key_1:destroy();
end

function elDstSock2()
	el_graveyard_gate_key_2_1:destroy();
		el_grvyrd2_key_1:destroy();
end

function elDstSock3()
	el_graveyard_gate_key_3_1:destroy();
		el_grvyrd3_key_1:destroy();
end

------------------------
--- Tyrones Gate Key ---
------------------------

function ewDstrySocket4()
	el_quest_item_gate_key_3_1:destroy();
		el_Tyronefingers_gate_key_1_1:destroy();
			spawn("lock_round",1,7,14,3,0,"elfakelock1");
end

---------------------------
--- Chest Spawn 3 Items ---
---------------------------

spawn("el_rust_long_sword_01",1,2,16,1,0,"elrstlngswrd1");
el_Tyrones_chest_1a.surface:addItem(elrstlngswrd1.item);
spawn("rock",1,2,16,1,0,"elrock1");
el_Tyrones_chest_1a.surface:addItem(elrock1.item);
spawn("potion_healing",1,2,16,1,0,"elptnheal1");
el_Tyrones_chest_1a.surface:addItem(elptnheal1.item);

--------------------------------------------
--- Tyrones cursed chest fights back lol ---
--------------------------------------------

function elTyronesMimic()
playSound("trickster_laugh");
	party.party:shakeCamera(0.1,2);
		el_Tryones_ChestDoor_Open:destroy();
		el_Tyrones_chest_1a:destroy();
			spawn("pushable_block_floor_trigger",1,4,16,0,0,"elfakepshblock");		
			spawn("mimic",1,2,16,1,0,"eltyrmim");
				eltyrmim.monster:setHealth(65);
				eltyrmim.monster:setMaxHealth(65);
				eltyrmim.monster:addConnector("onDie", "el_cemetery_gate_6", "open");
end

-----------------------------
--- Key To Abandoned Town ---
-----------------------------

function elDidItComp()
playSound("trickster_laugh");
	hudPrint("GRAVE KEEPER: So you killed old man Tyrone and got his treasure, well done.");
	hudPrint("");
	hudPrint("Well then I'm off to the next Cemetery good luck.");
		for i = 1, 4, 1 do
   		party.party:getChampion(i):gainExp(500);
end
		hudPrint("Gained 500 Exp.")
		delayedCall(self.go.id,1.0,"elTrickReapears");
end

function elTrickReapears()
	el_trick_02.model:enable();
		el_Hidden_Treasure_Teleport_02.controller:activate();
			delayedCall(self.go.id,3.0,"elTrickGone2");
end

function elTrickGone2()
	playSound("trickster_laugh");
		el_trick_02:destroy();
			el_Hidden_Treasure_Teleport_02:destroy();
end
