shownOnce = false;
done = false;

function attack()
	if (xan_ratman_talker) then
		xan_ratman_talker.brain:enable();
		done = true;
	end
end

xan_ratman_talker.monster:addConnector("onDamage", self.go.id, "attack");


function talk(sender)
	if (done) then
		return;
	end
	
	if (xan_ratman_talker == nil) then
		return;
	end
	
	local startPage = nil;

	if ( shownOnce == false ) then
		startPage = "first";
		shownOnce = true;
	else 
		startPage = "return";
	end


	local dialogue = {
		lockParty = true,
		startPage = startPage,
		pages = {
			{
				id = "first",
				speakerName = "Ganrak",
				speakerMessage = "Go back on your steps. As far from here as possible.",
				responses = {
					{ text = "Hi, what are you doing here ?", nextPage = "what" },
					{ text = "(Attack)", onSelect = self.go.id .. ".script.attack" },
					{ text = "(Leave)" },					
				} 
			},
			{
				id = "return",
				speakerName = "Ganrak",
				speakerMessage = "Wasn't it clear enough ? GO. AWAY.",
				responses = {
					{ text = "What are you doing here ?", nextPage = "what" },
					{ text = "(Attack)", onSelect = self.go.id .. ".script.attack" },
					{ text = "(Leave)" },					
				} 
			},
			{
				id = "what",
				speakerName = "Ganrak",
				speakerMessage = "None of your business. The boss doesn't want curious eyes around, so go away. Or stay here and be dead.",
				responses = {
					{ text = "Tell us what you are doing, NOW!", nextPage = "attack" },
					{ text = "(Attack)", onSelect = self.go.id .. ".script.attack" },
					{ text = "(Leave)" },					
				} 
			},
			{
				id = "attack",
				speakerName = "Ganrak",
				speakerMessage = "OK. Death is coming! Guys! HERE!",
				responses = {
					{ text = "(Attack)", onSelect = self.go.id .. ".script.attack" },					
				} 
			},
		}
	}

	GTKGui.Dialogue.startDialogue(dialogue);
end

